Bug 172672 - sasl code needs to accomodate older versions of sasl
sasl code needs to accomodate older versions of sasl
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
:
Depends On:
Blocks: 152373 240316
  Show dependency treegraph
 
Reported: 2005-11-07 22:40 EST by Rich Megginson
Modified: 2015-12-07 11:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
List of files affected (66 bytes, text/plain)
2005-11-07 22:40 EST, Rich Megginson
no flags Details
diffs for fix (2.29 KB, text/plain)
2005-11-07 22:40 EST, Rich Megginson
no flags Details

  None (edit)
Description Rich Megginson 2005-11-07 22:40:06 EST
Created attachment 120801 [details]
List of files affected
Comment 1 Rich Megginson 2005-11-07 22:40:06 EST
1) On RHEL3, the gssapi_krb5 lib is in /usr/kerberos/lib, not /usr/lib
2) SASL_AUX_PASSWORD_PROP is not defined in the RHEL3 sasl
Comment 2 Rich Megginson 2005-11-07 22:40:52 EST
Created attachment 120802 [details]
diffs for fix
Comment 3 Rich Megginson 2005-11-08 10:56:04 EST
Reviewed by: Noriko (Thanks!)
Files: https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120801
Branch: HEAD
Fix Description: 1) Change build to use -L/usr/kerberos/lib on RHEL3 
since that's where gssapi_krb5 is on that platform 2) ifdef out the use 
of SASL_AUX_PASSWORD_PROP - if it's not defined, we don't need to use it.
Platforms tested: RHEL3
Flag Day: no
Doc impact: no
QA impact: should be covered by regular nightly and manual testing
New Tests integrated into TET: none
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=120802
Comment 4 Nathan Kinder 2007-12-20 14:21:52 EST
This was covered by SASL acceptance testing in the 7.1 test cycle.  Marking as
VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.